Bug 216176

Summary: x11-wm/fluxbox: fails to build with clang 4.0 (5 ports skipped)
Product: Ports & Packages Reporter: Jan Beich <jbeich>
Component: Individual Port(s)Assignee: Tobias C. Berner <tcberner>
Status: Closed FIXED    
Severity: Affects Only Me CC: tcberner
Priority: --- Keywords: needs-patch
Version: Latest   
Hardware: Any   
OS: Any   
See Also: https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=216072
https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=216016
https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=215861
https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=216015
https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=216046
https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=216051
https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=216052
https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=216056
https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=216058
https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=216019
https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=216075
https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=216076
https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=216159
https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=216074
https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=216194
https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=216197
https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=216198
https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=216199
https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=216200
https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=216203
https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=216206
https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=216211
https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=216213
https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=216214
https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=216215
https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=216216
https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=216217
https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=216218
https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=216221
https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=216222
https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=216227
https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=216228
https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=216233
https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=216234
https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=216235
https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=216253
https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=216354
https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=216355
https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=216356
https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=216357
https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=216358
https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=216615
https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=216617
https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=216618
https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=216619
https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=216620
https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=216621
https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=216622
https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=216623
https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=216624
https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=216626
https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=216627
https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=216629
https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=216630
https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=216631
https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=216632
https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=216633
https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=216634
https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=216635
https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=216636
https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=216637
https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=216638
https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=216639
https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=216640
https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=216641
https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=216642
Bug Depends on:    
Bug Blocks: 216008    
Attachments:
Description Flags
upstream commit
none
regenerated patch none

Description Jan Beich freebsd_committer 2017-01-17 11:33:05 UTC
util/fluxbox-remote.cc:76:32: error: ordered comparison between pointer and zero ('unsigned char *' and 'int')
            && text_prop.value > 0
               ~~~~~~~~~~~~~~~ ^ ~

build log: http://sprunge.us/YOgf
regressed by: https://github.com/llvm-mirror/clang/commit/4b6ad14285f3
Comment 2 Jan Beich freebsd_committer 2017-01-21 21:15:48 UTC
Comment on attachment 179192 [details]
upstream commit

Upstream commit message looks cryptic. Since this affects just one file, reformat it via "make makepatch" then paste the link to the bug and commit at the top.

The fix itself looks innocuous enough to land under "portmgr blanket" + "ports-secteam blanket" (to 2017Q1) without bumping PORTREVISION. I confirm it's enough to unbreak build on clang400-import@312309 i386: http://sprunge.us/CfKH
Comment 3 Tobias C. Berner freebsd_committer 2017-01-21 21:19:24 UTC
Created attachment 179194 [details]
regenerated patch
Comment 4 Jan Beich freebsd_committer 2017-01-21 21:23:39 UTC
Comment on attachment 179194 [details]
regenerated patch

Looks OK now.
Comment 5 commit-hook freebsd_committer 2017-01-21 22:14:40 UTC
A commit references this bug:

Author: tcberner
Date: Sat Jan 21 22:14:23 UTC 2017
New revision: 432090
URL: https://svnweb.freebsd.org/changeset/ports/432090

Log:
  Fix graphics/py-poppler-qt4: fails to build with clang 4.0

  Import upstream commit
  http://git.fluxbox.org/fluxbox.git/commit/util/fluxbox-remote.cc?id=22866c4d30f5b289c429c5ca88d800200db4fc4f
  for issue
  https://sourceforge.net/p/fluxbox/bugs/1138/

  PR:		216176
  Approved by:	portmgr blanket, rakuco (mentor)
  MFH:		2017Q1

Changes:
  head/x11-wm/fluxbox/files/patch-util_fluxbox-remote.cc
Comment 6 commit-hook freebsd_committer 2017-01-22 12:57:40 UTC
A commit references this bug:

Author: tcberner
Date: Sun Jan 22 12:57:04 UTC 2017
New revision: 432129
URL: https://svnweb.freebsd.org/changeset/ports/432129

Log:
  MFH: r432090

  Fix x11-wm/fluxbox: fails to build with clang 4.0

  Import upstream commit
  http://git.fluxbox.org/fluxbox.git/commit/util/fluxbox-remote.cc?id=22866c4d30f5b289c429c5ca88d800200db4fc4f
  for issue
  https://sourceforge.net/p/fluxbox/bugs/1138/

  PR:		216176
  Approved by:	portmgr blanket, rakuco (mentor)

  Approved by:	ports-secteam (junovitch), rakuco (mentor)

Changes:
_U  branches/2017Q1/
  branches/2017Q1/x11-wm/fluxbox/files/patch-util_fluxbox-remote.cc